Subject: [PATCH v2] serial: omap: Add support for optional wake-up

From: [email-masked] (Tony Lindgren)
Date: Thu, 7 Nov 2013 11:45:53 -0800

* Kevin Hilman <[email-masked]> [131107 10:53]:
> 
> A bunch of DT boot failures on OMAP3 platforms with latest mainline were
> bisected down to this patch.  Boot results here:
> http://lists.linaro.org/pipermail/kernel-build-reports/2013-November/000954.html
> 
> This doesn't seem to properly handle the OMAP3 case where we have DT
> nodes, but no reg or interrupts properties since they're still using
> hwmod.
> 
> The problems seems to be because these OMAP3 platforms don't list any
> interrupts in their DTS files for the UARTs, but a quick hack at adding
> interrupts to omap3.dtsi didn't help either so something else is going
> on.
> 
> This patch should probably be reverted until it gets broader testing.

Hmm I'm not seeing this with my tree, and sounds like it should be
already fixed by commit d7c8f2596 (ARM: dts: Add missing reg,
interrupt and dma entries for omap3).

Can you check that you have that commit in your tree?

Regards,

Tony